Groovy Documentation

## org.codehaus.groovy.tools.shell.commands
[Groovy] Class HelpCommand

    java.lang.Object
      org.codehaus.groovy.tools.shell.CommandSupport
          org.codehaus.groovy.tools.shell.commands.HelpCommand

    class HelpCommand
    extends CommandSupport

The 'help' command.

Authors:
  Jason Dillon

Version:
  \$Id\$

Field Summary

Fields inherited from class CommandSupport
NEWLINE, io, log, messages, registry, shell

Constructor Summary
`HelpCommand(Shell shell)`

Method Summary
`protected java.util.List` | `createCompletors()`
`java.lang.Object` | `execute(java.util.List args)`

Methods inherited from class CommandSupport
alias, assertNoArguments, createCompletors, fail, fail, getBinding, getBuffer, getBuffers, getClassLoader, getCompletor, getDescription, getHelp, getHistory, getImports, getUsage, getVariables

Constructor Detail

### HelpCommand

    HelpCommand(Shell shell)

Method Detail

### createCompletors

    protected java.util.List createCompletors()

### execute

    java.lang.Object execute(java.util.List args)

Groovy Documentation